=== debian/changelog ===
ros-iron-interactive-markers (2.4.0-3jammy) jammy; urgency=high

  * Update interactive_markers to C++17. (#99 <https://github.com/ros-visualization/interactive_markers/issues/99>)
  * Update maintainers (#98 <https://github.com/ros-visualization/interactive_markers/issues/98>)
  * Mirror rolling to ros2
  * update maintainer (#92 <https://github.com/ros-visualization/interactive_markers/issues/92>)
  * Contributors: Audrow Nash, Chris Lalancette, Dharini Dutia

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-interactive-markers (2.3.2-3jammy) jammy; urgency=high

  * Do not publish if context is invalid during shutdown (#89 <https://github.com/ros-visualization/interactive_markers/issues/89>)
  * Contributors: Jacob Perron

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-interactive-markers (2.3.1-3jammy) jammy; urgency=high

  * Install includes to include/ and misc CMake fixes (#85 <https://github.com/ros-visualization/interactive_markers/issues/85>)
  * Contributors: Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-interactive-markers (2.3.0-3jammy) jammy; urgency=high

  * Fix deprecation warning introduced after client API update (#83 <https://github.com/ros-visualization/interactive_markers/issues/83>)
  * Fix deprecated sub callback warnings (#84 <https://github.com/ros-visualization/interactive_markers/issues/84>)
  * Include tf2_geometry_msgs.hpp instead of the h file. (#82 <https://github.com/ros-visualization/interactive_markers/issues/82>)
  * Contributors: Abrar Rahman Protyasha, Chris Lalancette, Ivan Santiago Paunovic

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 17 Oct 2021 16:00:00 -0000

ros-iron-interactive-markers (2.2.0-3jammy) jammy; urgency=high

  * Cleanup bsd 3 clause license usage (#61 <https://github.com/ros-visualization/interactive_markers/issues/61>)
  * Add missing includes (#81 <https://github.com/ros-visualization/interactive_markers/issues/81>)
  * Contributors: Bjar Ne, Tully Foote

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-interactive-markers (2.1.3-3jammy) jammy; urgency=high

  * Update maintainers (#79 <https://github.com/ros-visualization/interactive_markers/issues/79>)
  * Increase test timeout necessary for Connext (#77 <https://github.com/ros-visualization/interactive_markers/issues/77>)
  * Fix clang warnings (#75 <https://github.com/ros-visualization/interactive_markers/issues/75>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-iron-interactive-markers (2.1.2-3jammy) jammy; urgency=high

  * Remove explicit template parameter in spin_until_future_complete (#72 <https://github.com/ros-visualization/interactive_markers/issues/72>)
  * Contributors: Sarthak Mittal

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 25 Jun 2020 16:00:00 -0000

ros-iron-interactive-markers (2.1.1-3jammy) jammy; urgency=high

  * export targets in a addition to include directories / libraries (#70 <https://github.com/ros-visualization/interactive_markers/issues/70>)
  * Contributors: Dirk Thomas

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-iron-interactive-markers (2.1.0-3jammy) jammy; urgency=high

  * avoid new deprecations (#69 <https://github.com/ros-visualization/interactive_markers/issues/69>)
  * Merge pull request #60 <https://github.com/ros-visualization/interactive_markers/issues/60> from ros-visualization/revert-58-bsd3clause_fixup
  * Revert "Cleanup bsd 3 clause license usage"
  * Merge pull request #58 <https://github.com/ros-visualization/interactive_markers/issues/58> from ros-visualization/bsd3clause_fixup
  * code style only: wrap after open parenthesis if not in one line (#57 <https://github.com/ros-visualization/interactive_markers/issues/57>)
  * Cleanup bsd 3 clause license usage
  * Contributors: Dirk Thomas, Tully Foote, William Woodall

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-iron-interactive-markers (2.0.1-3jammy) jammy; urgency=high

  * Fix test flakes by waiting for pub/sub discovery (#55 <https://github.com/ros-visualization/interactive_markers/issues/55>)
  * Add parameters for QoS of update and feedback topics (#54 <https://github.com/ros-visualization/interactive_markers/issues/54>)
  * Port Python implementation to ROS 2 (#53 <https://github.com/ros-visualization/interactive_markers/issues/53>)
    * Move Python files to their own directory
    * Install Python via ament_cmake_python
    * Make Python implementation ROS 2 compatible
    * Use docstrings
    * Minor refactor of callback logic
    * Guard against None values and KeyError's
    * Change insert() signature to take keyword arguments
    * Rename variables for clarity (e.g. 'cb' -> 'callback')
    * Fix PEP 257 errors
    * Remove unused setup.py
    * Enable flake8 tests and fix errors
    * Improve performance
    * Clear pending updates after applying all of them
    * Don't rely on user to apply any pose updates
    * Expose QoSProfile a parameter
    * Add Python implementation dependencies to package.xml
  * Contributors: Jacob Perron

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 22 Oct 2019 16:00:00 -0000

ros-iron-interactive-markers (2.0.0-3jammy) jammy; urgency=high

  * Add missing visibility macros (#51 <https://github.com/ros-visualization/interactive_markers/issues/51>)
  * Less verbose logging (#45 <https://github.com/ros-visualization/interactive_markers/issues/45>)
  * Rename enums to avoid collisions with MSVC compiler defines (#49 <https://github.com/ros-visualization/interactive_markers/issues/49>)
  * Catch polymorphic exceptions by reference (#48 <https://github.com/ros-visualization/interactive_markers/issues/48>)
  * Port to ROS 2 (#44)
    
    Style and other aesthetic changes
    

