=== debian/control ===
Source: ros-iron-interactive-markers
Section: misc
Priority: optional
Maintainer: Dharini Dutia <dharini@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-python, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-geometry-msgs <!nocheck>, ros-iron-rclcpp, ros-iron-rmw, ros-iron-tf2, ros-iron-tf2-geometry-msgs, ros-iron-visualization-msgs, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/interactive_markers
Standards-Version: 3.9.2

Package: ros-iron-interactive-markers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-builtin-interfaces, ros-iron-rclcpp, ros-iron-rclpy, ros-iron-rmw, ros-iron-tf2, ros-iron-tf2-geometry-msgs, ros-iron-visualization-msgs, ros-iron-ros-workspace
Description: 3D interactive marker communication library for RViz and similar tools.
